# disable -debuginfo subpackage
%global debug_package %{nil}

Name:		sparsehash
Version:	1.7
Release:	4%{?dist}
Summary:	Extremely memory-efficient C++ hash_map implementation

Group:		Development/Libraries
License:	BSD
URL:		http://code.google.com/p/google-sparsehash
Source0:	http://google-sparsehash.googlecode.com/files/sparsehash-%{version}.tar.gz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
The Google SparseHash project contains several C++ template hash-map
implementations with different performance characteristics, including
an implementation that optimizes for space and one that optimizes for
speed.

# all files are in -devel package
%package	devel
Summary:	Extremely memory-efficient C++ hash_map implementation
Group:		Development/Libraries

%description	devel
The Google SparseHash project contains several C++ template hash-map
implementations with different performance characteristics, including
an implementation that optimizes for space and one that optimizes for
speed.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Remove unneeded files
rm $RPM_BUILD_ROOT%{_defaultdocdir}/sparsehash-%{version}/INSTALL
rm $RPM_BUILD_ROOT%{_defaultdocdir}/sparsehash-%{version}/README.windows
# Remove zero size file
rm $RPM_BUILD_ROOT%{_defaultdocdir}/sparsehash-%{version}/NEWS

%check
make check

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(-,root,root,-)
%doc %{_defaultdocdir}/sparsehash-%{version}/
%{_includedir}/google/

%changelog
* Mon Jan 06 2014 Björn Esser <bjoern.esser@gmail.com> - 1.7-4
- el5 must not use BuildArch: noarch or the testsuite won't
  be run on all arches

* Sat Jul 03 2010 Kalev Lember <kalev@smartlink.ee> - 1.7-3
- Marked -devel as noarch, thanks to Chen Lei (#609728)

* Sat Jul 03 2010 Kalev Lember <kalev@smartlink.ee> - 1.7-2
- Move all files to -devel (#609728)

* Thu Jul 01 2010 Kalev Lember <kalev@smartlink.ee> - 1.7-1
- Initial RPM release
